int a3let2num(char *let);
int am2num_c(int c);
int am2num(int c);
int am2num_dayhoff(int c);
int am2numBZX(int c);
double dayhoff_freq[]={0,0.010,0.040,0.030,0.015,0.085,0.037,0.065,0.087,0.033,0.089,
0.051,0.058,0.070,0.040,0.038,0.047,0.050,0.034,0.041,0.081};
/*in dayhoff_freq[] amino acids are arranged as in *am */
int dayhoff_mutab[]={0,18,41,41,94,40,96,74,100,20,49,56,97,120,134,93,106,102,66,65,56};
/*in dayhoff_mutab[] amino acids are arranged as in *am */
double hydrophobicity[]={0,1.17,1.56,1.17,0.72,1.38,1.38,1.00,0.33,0.53,-0.04,0.63,-0.21,-0.50,-0.89,-0.84,-1.56,-1.51,-1.12,-1.65,-0.74};
/* double hydrophobicity[]={0,0.878,1.00,0.88,0.738,0.943,0.943,0.825,0.616,0.680,0.501,0.711,0.45,0.359,0.236,0.251,0.028,0.043,0.165,0.0,0.283}; */
/*in hydrophobicity[] amino acids are arranged as in *am */
double amino_charge[]={0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1.0,-1.0,0.5,1.0,1.0};
/*in amino_charge[] amino acids are arranged as in *am */
char *am="-WFYMLIVACGPTSNQDEHRKBZX*.wfymlivacgptsnqdehrkbzx";

char *am_dayhoff="-ARNDCQEGHILKMFPSTWYV";
char *am3[]={
"---",
"TRP",
"PHE",
"TYR",
"MET",
"LEU",
"ILE",
"VAL",
"ALA",
"CYS",
"GLY",
"PRO",
"THR",
"SER",
"ASN",
"GLN",
"ASP",
"GLU",
"HIS",
"ARG",
"LYS",
"ASX",
"GLX",
"UNK",
"***"
"...",
};



int am2num_c(int c)
{
switch (c) {
           	 case 'W':
                	c=1; break;
		 case 'w':
			c=26; break;
           	 case 'F': 
                	c=2; break;
                 case 'f':
			c=27; break;
           	 case 'Y': 
                	c=3; break;
		 case 'y':
                        c=28; break;
           	 case 'M': 
                	c=4; break;
		 case 'm':
                        c=29; break;
           	 case 'L': 
                	c=5; break;
		 case 'l':
                        c=30; break;
           	 case 'I': 
          		c=6; break;
		 case 'i':
                        c=31; break;
           	 case 'V': 
           		c=7; break;
		 case 'v':
                        c=32; break;
          	 case 'A': 
			c=8; break;
		 case 'a':
                        c=33; break; 
           	 case 'C': 
                	c=9; break;
		 case 'c':
                        c=34; break;
		 case 'G': 
			c=10; break;
		 case 'g':
                        c=35; break;
           	 case 'P': 
             	 	c=11; break;
		 case 'p':
                        c=36; break;
       		 case 'T': 
			c=12; break;
		 case 't':
                        c=37; break;
	         case 'S': 
			c=13; break;
		 case 's':
                        c=38; break;
           	 case 'N': 
                	c=14; break;
		 case 'n':
                        c=39; break;
           	 case 'Q': 
                	c=15; break;
		 case 'q':
                        c=40; break;
           	 case 'D': 
                	c=16; break;
		 case 'd':
                        c=41; break;
           	 case 'E': 
                	c=17; break;
		 case 'e':
                        c=42; break;
           	 case 'H': 
                	c=18; break;
		 case 'h':
                        c=43; break;
           	 case 'R': 
                	c=19; break;
		 case 'r':
                        c=44; break;
           	 case 'K': 
                	c=20; break;
		 case 'k':
                        c=45; break;
           	 default : 
			c=0; 
		}
return (c);
}


int am2num(int c)
{
switch (c) {
           	 case 'W': case 'w':
                	c=1; break;
           	 case 'F': case 'f':
                	c=2; break;
           	 case 'Y': case 'y':
                	c=3; break;
           	 case 'M': case 'm':
                	c=4; break;
           	 case 'L': case 'l':
                	c=5; break;
           	 case 'I': case 'i':
          		c=6; break;
           	 case 'V': case 'v':
           		c=7; break;
          	 case 'A': case 'a': 
			c=8; break;
           	 case 'C': case 'c':
                	c=9; break;
		 case 'G': case 'g':
			c=10; break;
           	 case 'P': case 'p':
             	 	c=11; break;
       		 case 'T': case 't':
			c=12; break;
	         case 'S': case 's':
			c=13; break;
           	 case 'N': case 'n':
                	c=14; break;
           	 case 'Q': case 'q':
                	c=15; break;
           	 case 'D': case 'd':
                	c=16; break;
           	 case 'E': case 'e':
                	c=17; break;
           	 case 'H': case 'h':
                	c=18; break;
           	 case 'R': case 'r':
                	c=19; break;
           	 case 'K': case 'k':
                	c=20; break;
           	 default : 
			c=0; 
		}
return (c);
}


int am2num_dayhoff(int c)
{
switch (c) {
           	 case 'A':
                	c=1; break;
           	 case 'R':
                	c=2; break;
           	 case 'N':
                	c=3; break;
           	 case 'D':
                	c=4; break;
           	 case 'C': 
                	c=5; break;
           	 case 'Q':
          		c=6; break;
           	 case 'E':
           		c=7; break;
          	 case 'G':
			c=8; break;
           	 case 'H': 
                	c=9; break;
		 case 'I':
			c=10; break;
           	 case 'L':
             	 	c=11; break;
       		 case 'K':
			c=12; break;
	         case 'M':
			c=13; break;
           	 case 'F':
                	c=14; break;
           	 case 'P':
                	c=15; break;
           	 case 'S':
                	c=16; break;
           	 case 'T': 
                	c=17; break;
           	 case 'W': 
                	c=18; break;
           	 case 'Y':
                	c=19; break;
           	 case 'V':
                	c=20; break;
           	 default : 
			c=0; 
		}
return (c);
}

int am2numBZX(int c)
{
switch (c) {
           	 case 'W': case 'w':
                	c=1; break;
           	 case 'F': case 'f':
                	c=2; break;
           	 case 'Y': case 'y':
                	c=3; break;
           	 case 'M': case 'm':
                	c=4; break;
           	 case 'L': case 'l':
                	c=5; break;
           	 case 'I': case 'i':
          		c=6; break;
           	 case 'V': case 'v':
           		c=7; break;
          	 case 'A': case 'a': 
			c=8; break;
           	 case 'C': case 'c':
                	c=9; break;
		 case 'G': case 'g':
			c=10; break;
           	 case 'P': case 'p':
             	 	c=11; break;
       		 case 'T': case 't':
			c=12; break;
	         case 'S': case 's':
			c=13; break;
           	 case 'N': case 'n':
                	c=14; break;
           	 case 'Q': case 'q':
                	c=15; break;
           	 case 'D': case 'd':
                	c=16; break;
           	 case 'E': case 'e':
                	c=17; break;
           	 case 'H': case 'h':
                	c=18; break;
           	 case 'R': case 'r':
                	c=19; break;
           	 case 'K': case 'k':
                	c=20; break;
           	 case 'B': case 'b':
                	c=21; break;
           	 case 'Z': case 'z':
                	c=22; break;
           	 case 'X': case 'x':
                	c=23; break;
           	 case '*': 
                	c=24; break;
           	 default : 
			c=0; 
		}
return (c);
}


int a3let2num(char *let){
/*
char s[3];
s[0]=toupper(let[0]);
s[1]=toupper(let[1]);
s[2]=toupper(let[2]);

     if(s[0]=='T' && s[1]=='R' && s[2]=='P')return(1);
else if(s[0]=='P' && s[1]=='H' && s[2]=='E')return(2);
else if(s[0]=='T' && s[1]=='Y' && s[2]=='R')return(3);
else if(s[0]=='M' && s[1]=='E' && s[2]=='T')return(4);
else if(s[0]=='L' && s[1]=='E' && s[2]=='U')return(5);
else if(s[0]=='I' && s[1]=='L' && s[2]=='E')return(6);
else if(s[0]=='V' && s[1]=='A' && s[2]=='L')return(7);
else if(s[0]=='A' && s[1]=='L' && s[2]=='A')return(8);
else if(s[0]=='C' && s[1]=='Y' && s[2]=='S')return(9);
else if(s[0]=='G' && s[1]=='L' && s[2]=='Y')return(10);
else if(s[0]=='P' && s[1]=='R' && s[2]=='O')return(11);
else if(s[0]=='T' && s[1]=='H' && s[2]=='R')return(12);
else if(s[0]=='S' && s[1]=='E' && s[2]=='R')return(13);
else if(s[0]=='A' && s[1]=='S' && s[2]=='N')return(14);
else if(s[0]=='G' && s[1]=='L' && s[2]=='N')return(15);
else if(s[0]=='A' && s[1]=='S' && s[2]=='P')return(16);
else if(s[0]=='G' && s[1]=='L' && s[2]=='U')return(17);
else if(s[0]=='H' && s[1]=='I' && s[2]=='S')return(18);
else if(s[0]=='A' && s[1]=='R' && s[2]=='G')return(19);
else if(s[0]=='L' && s[1]=='Y' && s[2]=='S')return(20);
else if(s[0]=='A' && s[1]=='S' && s[2]=='X')return(21);
else if(s[0]=='G' && s[1]=='L' && s[2]=='X')return(22);
else if(s[0]=='U' && s[1]=='N' && s[2]=='K')return(23);
else if(s[0]=='*' && s[1]=='*' && s[2]=='*')return(24);
else if(s[0]=='.' && s[1]=='.' && s[2]=='.')return(25);
*/
return(0);
}



